Subject: Re: bug#27350: #27350 25.2; Make `inhibit-compacting-font-caches' customizable

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Jun 2017 16:47:43 +0300

> From: "Felix E. Klee" <[email-masked]>
> Date: Fri, 16 Jun 2017 15:24:58 +0200
> Cc: [email-masked]
> 
> On Fri, Jun 16, 2017 at 3:00 PM, Eli Zaretskii <[email-masked]> wrote:
> >> Caching is fine with me.
> >
> > Patches are welcome.  (I know almost nothing about fonts.)
> 
> ‘inhibit-compacting-font-caches’ does the trick, at least for me. When I
> open ‘unicode.txt’, then the memory footprint of EMACS increases by
> about 13 MB. That is less than 2 ‰ of my system memory, negligible.

That variable inhibits compacting the frames' font caches globally.
That is, they will never be compacted.  So measuring the increase of
the memory footprint for a small number of fonts is not the worst use
case.  An average system nowadays has many hundreds of fonts
installed.

Anyway, if that variable does the trick for you, and you are happy
with it, by all means keep using it.  That's why I added it.  I just
hoped we will be able to find a better solution, but I guess not yet.

Thanks.